﻿@model List<WebApp.ViewModels.Admin.RouteAdminViewModel>
@{
    ViewBag.Title = "Routes";
}

<div class="panel panel-default">
    <div class="panel-heading"><h2>Routes</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateRoute", "Admin")
    </div>
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No routes found.</div>
    }
    else
    {

        <table class="table">
            <thead>
            <th>ID</th>
            <th>From station</th>
            <th>To station</th>
            <th>Time in route</th>
            <th>Cost</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.StationFrom)</td>
                    <td>@Html.DisplayFor(t => model.StationTo)</td>
                    <td>@Html.DisplayFor(t => model.TimeInRoute)<br></td>
                    <td>@Html.DisplayFor(t => model.Cost)<br></td>
                    <td>
                        @Html.ActionLink("Intermediate stations", "StationRoutes", "Admin", new {routeId = model.Id}, null) |
                        @Html.ActionLink("Edit", "EditRoute", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteRoute", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>
